<ng-template
  #t
  ngbPanelHeader
  let-panel
>
  <button
    class="t-accordion-button"
    [jdsBiPanelToggle]="panel"
  >
    {{ panel.title }}
    <ng-template [ngTemplateOutlet]="panel.titleTpl?.templateRef"></ng-template>
  </button>
</ng-template>

<ng-template
  [ngForOf]="panels"
  ngFor
  let-panel
>
  <div class="t-accordion-item">
    <div
      class="t-accordion-header"
      id="{{ panel.id }}-header"
      role="tab"
    >
      <ng-template
        [ngTemplateOutlet]="panel.headerTpl?.templateRef || t"
        [ngTemplateOutletContext]="{ $implicit: panel, opened: panel.isOpen }"
      ></ng-template>
    </div>
    <div
      id="{{ panel.id }}"
      *ngIf="!destroyOnHide || panel.isOpen || panel.transitionRunning"
      [attr.aria-labelledby]="panel.id + '-header'"
      (jdsBiRef)="panel.panelDiv = $event"
      role="tabpanel"
    >
      <div class="t-accordion-body">
        <ng-template
          [ngTemplateOutlet]="panel.contentTpl?.templateRef || null"
        ></ng-template>
      </div>
    </div>
  </div>
</ng-template>
